#include <bits/stdc++.h>
using namespace std;
long long dr[100005];
int main()
{
    ios_base::sync_with_stdio(false);
    long long n, m, i, j, ans = 0;
    cin >> n >> m;
    for(i = 1; i <= n; i++) cin >> dr[i];
    while(m--)
    {
        cin >> i >> j;
        ans = ans + abs(dr[i] + dr[j]);
    }
    cout << ans;
    return 0;
}